Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetCompLeafSize

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master leaf size for HSS, BLR, HODLR…

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetCompLeafSize(Mat F, PetscInt leaf_size)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- leaf_size - Size of diagonal blocks in rank-structured approximation

## Options Database Key

- -mat_strumpack_compression_leaf_size - Size of diagonal blocks in rank-structured approximation, when using `-pctype ilu`

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatGetFactor()`, `MatSTRUMPACKGetCompLeafSize()`, `MatSTRUMPACKSetReordering()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSTRUMPACKSetCompLeafSize_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages